=== debian/changelog ===
antimicro (2.23-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:47 +0100

antimicro (2.23-2) unstable; urgency=medium

  * Bump Policy (with no relevant changes)
  * Enable Linux-specific uinput only building for Linux

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 16 Oct 2019 00:21:54 +0200

antimicro (2.23-1) unstable; urgency=medium

  * Initial packaging (Closes: #752709)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Jul 2019 18:55:23 +0200
