=== debian/changelog ===
antimicro (3.1.4-2) unstable; urgency=low

  * QA upload.
  * Update d/watch to GitHub’s latest changes
  * d/p/work-around-Linux-API-break.diff: new, Closes: #1067624
  * Update Maintainer as orphaned

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Mar 2024 20:57:06 +0100

antimicro (3.1.4-1) unstable; urgency=low

  * Package maintained fork AntiMicroX
  * Conflict with the upstream-provided .deb-format binary package
  * Modernise packaging
  * Update lintian overrides and apply lintian-provided spelling fixes
  * Fix a bit, forwarding all patches

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Feb 2021 04:24:42 +0100
